Dragonfly CMS v9 ⇒ IIS Specific Issues :: Archives ⇒ Install Fatal Error :: Archived ⇒ Community Forums ⇒ CPG Dragonfly™ CMS
Forum IndexIIS Specific Issues

Archived ⇒ Install Fatal Error


Hi, I am installing a fresh copy of cpgnuke, and i have followed the install.txt instructions carefully.

when i go to mydomain.tld/install.php i get this error

Notice: Use of undefined constant CPG_DEBUG - assumed 'CPG_DEBUG' in C:\Inetpub\wwwroot\PNWRR\includes\classes\cpg_debugger.php on line 104

Fatal error: require_once() [function.require]: Failed opening required 'config.php' (include_path='c:\windows\php\includes') in C:\Inetpub\wwwroot\PNWRR\includes\cmsinit.inc on line 147

what could be wrong?
please help

thanks
Jason

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Win2k3,IIS,Dragonfly 9.0.6.1


did you had config.php is in PNWRR Folder?

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Apache/1.3.34 (Unix)/4.0.25-standard/4.4.1/CVS


yes the config.php is in the pnwrr folder

Jason

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Win2k3,IIS,Dragonfly 9.0.6.1


Where did you installed your php?

C:\php? or C:\windows\php? or somewhere elses?

Your config.php file did not find it.

Lead Theme Designer - WebSiteGuru Designs

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Linux 2.6.9 / Apache 2.2.6 / MySQL 5.0.27 / PHP 5 / DF Version 9.2.1


PHP is installed to c:\windows\php

i didnt see a portion in the config.php for php install directory

Jason

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Win2k3,IIS,Dragonfly 9.0.6.1


Then make sure that it tell where your php is installed at. I am surprised that you had it install in windows directory.

Lead Theme Designer - WebSiteGuru Designs

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Linux 2.6.9 / Apache 2.2.6 / MySQL 5.0.27 / PHP 5 / DF Version 9.2.1


i did that when i was having problems with permissions 3 years ago when i first started messing around with servers

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Win2k3,IIS,Dragonfly 9.0.6.1


Where is your php.ini file. Also check the php.ini configuration. You might not installed it correctly.

Lead Theme Designer - WebSiteGuru Designs

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Linux 2.6.9 / Apache 2.2.6 / MySQL 5.0.27 / PHP 5 / DF Version 9.2.1


i do not see a place in the config.php where it asks for the php install directory

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Win2k3,IIS,Dragonfly 9.0.6.1


my php.ini is located in c:\windows directory

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Win2k3,IIS,Dragonfly 9.0.6.1


everything looks to be in order in my php.ini file.
what else might i check?

i am useing a fresh install of php 5 and mysql 5

my i made a phpinfo script and it loads fine with no errors.

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Win2k3,IIS,Dragonfly 9.0.6.1


Ouch!!!! I don't know if DF 9.0.6.0 is ready for php 5 and mysql 5 yet. That might be your problem with it not finding php.

Lead Theme Designer - WebSiteGuru Designs

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Linux 2.6.9 / Apache 2.2.6 / MySQL 5.0.27 / PHP 5 / DF Version 9.2.1


i downloaded the newest build 9.0.6.1 is that build php 5 mysql 5 complient?

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Win2k3,IIS,Dragonfly 9.0.6.1


Dragonly are PHP 5 complaint but doesn't know about mySQL 5. This should be in IIS Help Thread....

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Apache/1.3.34 (Unix)/4.0.25-standard/4.4.1/CVS


ill try over there i guess

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Win2k3,IIS,Dragonfly 9.0.6.1

All times are UTC